# $Revision: 1.36 $, $Date: 2004/07/27 22:48:06 $
Summary:	xkeycaps - a keymap editor for the X Window System
Summary(es):	Un editor de mapas de teclado para X
Summary(pl):	xkeycaps - edytor mapy klawiatury dla X Window System
Summary(pt_BR):	Um editor de mapas de teclado para o X
Name:		xkeycaps
Version:	2.46
Release:	6
License:	BSD
Group:		X11/Applications
Source0:	http://www.jwz.org/xkeycaps/%{name}-%{version}.tar.Z
# Source0-md5:	6792f828db6538f44f7696a8783b44ac
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://www.jwz.org/xkeycaps/
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_prefix		/usr/X11R6
%define 	_mandir 	%{_prefix}/man

%description
xkeycaps is a graphical front-end to xmodmap.It opens a window that
looks like a keyboard; moving the mouse over a key shows what KeySyms
and Modifier bits that key generates. Clicking on a key simulates
KeyPress/KeyRelease events on the window of your choice. It is
possible to change the KeySyms and Modifiers generated by a key
through a mouse-based interface. This program can also write an input
file for xmodmap to recreate your changes in future sessions.

%description -l es
xkeycaps es una interfaz grfica para xmodmap. Abre una ventana que
parece un teclado; mover el ratn sobre una tecla muestra las KeySyms
y los bits modificadores que la contrasea genera. Si se hace click en
una tecla simula eventos KeyPress/KeyRelease en la ventana que se
escoja. Se pueden cambiar los KeySyms y bits modificadores generados
por una contrasea a travs de una interfaz que se basa en el ratn.
Este programa tambin puede escribir un archivo para que el xmodmap lo
cargue las prximas veces que se use X. Para obtener ms detalles se
debe consultar la pgina del manual.

%description -l pl
xkeycaps jest graficzn nakadk na xmodmap. xkeycaps otwiera okno,
ktre wyglda jak klawiatura; przesuwajc mysz ponad klawiszami
uzyskujemy informacj na temat KeySyms oraz bitw Modifier jakie ten
klawisz generuje. Kliknicie na klawiszu symuluje zdarzenia
KeyPress/KeyRelease dla okna, ktre wybierzesz. Mona zmieni KeySyms
i Modifiers wygenerowane przez klawisz przy uyciu bazujcego na myszy
interfejsu. Ten program moe take zapisywa plik konfiguracyjny dla
xmodmapa.

%description -l pt_BR
xkeycaps  uma interface grfica para o xmodmap. Ele abre uma janela
que parece um teclado; mover o mouse sobre uma tecla mostra as KeySyms
e os bits modificadores que a chave gera. Clicando em uma tecla simula
eventos KeyPress/KeyRelease na janela de sua escolha.  possvel mudar
os KeySyms e bits modificadores gerados por uma chave atravs de uma
interface baseada em mouse. Esse programa pode tambm escrever um
arquivo para o xmodmap carregar nas prximas vezes que voc usar o X.
Veja a pgina do manual para maiores detalhes.

%prep
%setup -q

%build
xmkmf -a
%{__make} DEFAULT_KBD_NAME="L101" \
	CDEBUGFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install install.man \
	DESTDIR=$RPM_BUILD_ROOT \
        MANDIR=%{_mandir}/man1 \
        BINDIR=%{_bindir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README defining.txt
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/xkeycaps.desktop
%{_pixmapsdir}/*.png
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xkeycaps.spec,v $
Revision 1.36  2004/07/27 22:48:06  havner
- applnk -> vfolders
- rel 6

Revision 1.35  2003/05/28 13:03:07  malekith
- massive attack: source-md5

Revision 1.34  2003/05/25 06:28:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.33  2002/11/21 20:39:14  ankry
- added icon based on Keyboard.Appn.xpm from
  http://www.linuks.mine.nu/icons/one/openstepicons-1.0.tar.gz
- new %%doc
- release 5

Revision 1.32  2002/04/12 18:22:32  kloczek
- release 4: merge translations from Conectiva.

Revision 1.31  2002/02/23 05:29:54  kloczek
- adapterized.

Revision 1.30  2002/02/22 23:30:06  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.29  2002/01/18 02:15:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.28  2001/12/14 03:23:53  kloczek
- fix tor place correctly desktop file in Settings.

Revision 1.27  2001/12/14 03:14:50  kloczek
- release 3: move desktop file to Settings.

Revision 1.26  2001/05/27 18:51:23  kloczek
- release 2.

Revision 1.25  2001/05/03 01:14:07  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.24  2000/06/09 07:24:22  kloczek
- added using %%{__make} macro.

Revision 1.23  2000/05/21 20:05:15  kloczek
- spec adapterized.

Revision 1.22  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.21  2000/03/28 16:55:25  baggins
- translated kloczkish into english

Revision 1.20  1999/12/13 09:01:11  kloczek
- updated to 2.46,
- added using %%{_applnkdir} macro.

Revision 1.19  1999/09/05 15:22:39  kloczek
- release 2.

Revision 1.18  1999/09/04 09:44:01  pius
- cosmetics

Revision 1.17  1999/09/04 08:48:06  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.16  1999/07/27 23:26:59  kloczek
- updated to 2.45,
- fixed Summary,
- wmconfig file replaced by desktop file,
- added stripping binaries.

Revision 1.15  1999/07/20 12:48:12  wiget
- switch to rpm 3.0.2

Revision 1.14  1999/07/12 23:06:28  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 20 1999 Piotr Czerwiski <pius@pld.org.pl>
  [2.44-2]
- package is FHS 2.0 compliant,
- based on spec file by John A. Martin <jam@jamux.com>,
  modified for PLD use by me and Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>,
- pl translation by Arkadiusz Mikiewicz <misiek@misiek.eu.org>.
